#### PyKDE - Python Bindings for KDE

# class KShellProcess |
Table of contents
Modules
tdecore Classes
All Classes

Module | tdecore
Class | KShellProcess
Inherits | TDEProcess

### methods

- KShellProcess (shellname = 0)

  returns a KShellProcess instance
  Argument | Type | Default
  --- | --- | ---
  shellname | char | 0

- KShellProcess (a0)

  returns a KShellProcess instance
  In versions less than KDE 3.2.0 only
  Argument | Type | Default
  --- | --- | ---
  a0 | KShellProcess |

- quote (arg)

  returns (TQString)
  static
  Argument | Type | Default
  --- | --- | ---
  arg | TQString |

- start (runmode = NotifyOnExit, comm = NoCommunication)

  returns (bool)
  Argument | Type | Default
  --- | --- | ---
  runmode | RunMode | NotifyOnExit
  comm | Communication | NoCommunication